Bug 128957 - kudzu does not detect and configure ISAPNP 3c509
kudzu does not detect and configure ISAPNP 3c509
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2004-08-01 23:19 EDT by G.Wolfe Woodbury
Modified: 2014-03-16 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 00:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-08-01 23:19:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
An AMD-K6-2 (400MHz) has two ISAPNP devices, the CMI8330 audio
controller is now detected and configured but the Etherlink III
(3c509) is not detected and configured as eth1.   The device does not
appear in the /etc/sysconfig/hwconf file at all; it does get detected
by the kernel during bootup.

Version-Release number of selected component (if applicable):
kudzu-1.1.75-1

How reproducible:
Always

Steps to Reproduce:
1. install rawhide/development of 2004-07-29
2. install updates
3. install 3c509
    

Actual Results:  no detection or configureation of 3c509

Expected Results:  configuration as eth1

Additional info:
Comment 1 Bill Nottingham 2004-08-02 15:49:21 EDT
Can you tar up your /sys directory?
Comment 2 G.Wolfe Woodbury 2004-08-02 16:09:18 EDT
tar wouldn't work right for me.  There is a sys.cpio.gz file at:

http://wolves.homeip.net/~ggw/texts/sys.cpio.gz

for your edification and retrieval
Comment 3 G.Wolfe Woodbury 2004-08-19 17:44:08 EDT
still not detected and configured by rawhide/development of 2004-08-18
Comment 4 G.Wolfe Woodbury 2004-09-28 11:30:37 EDT
I had the opportunity to remove the 3c509 card from my test system for
a while.  When the system came back, I installed rawhide of 2004-09-26
without the card in the system.  I then shutdown and installed the
3c509b card and rebooted.

Kudzu pased for a few moments, but still failed to detect and install
the card.

Workaround is still using system-config-network to configure the new
device.
Comment 5 Bill Nottingham 2004-09-30 00:54:53 EDT
The link referenced above does not appear to be a valid file.
Comment 6 G.Wolfe Woodbury 2004-09-30 09:03:27 EDT
okay, here is another try at tar'ing /sys on the problem machine:

 http://wolves.homeip.net/~ggw/texts/sys.tgz

Comment 7 Bill Nottingham 2004-09-30 09:59:42 EDT
Still only get a ~1k file, which yields:

gzip: stdin: unexpected end of file
Comment 8 Bill Nottingham 2005-09-23 17:13:12 EDT
Apologies for the delay. If you've got this under a rawhide kernel, that would
be really helpful - there's been some PnP changes since then. :/
Comment 9 G.Wolfe Woodbury 2005-09-24 23:17:48 EDT
Unfortunately, I'm not using that machine and netcard as the testbed anymore.
I will try installing the 3c509 card in the new testbed as soon as I can,
probably on Monday the 26th. Sept 2005.
Comment 10 G.Wolfe Woodbury 2005-10-31 03:16:58 EST
Finally found the 3c509b-tpo card and installed it in the test machine.
Kudzu and or other hardware detection did *not* find the card and autoconfigure
it for me.  I had to bring up system-config-network and manually configure the card.
Note that this card is an ISA card, not pci.
Comment 11 Bill Nottingham 2005-10-31 15:01:44 EST
I realize this is a repeat request, but if you can get a tarball of the /sys
directory (under a recent kernel) posted, that would be greatly appreciated.
Comment 12 G.Wolfe Woodbury 2005-11-03 03:17:19 EST
I understand the request, but I seem to be unable to get a tarball of /sys
successfully.  I've tried:

    tar czvvSpf /tmp/sys.tgz /sys

but that sits and grinds for more than 15 minutes without doing anything but
fill up the /tmp partition!  If you tell me how to generate exactly what you
want I'll do my best, but I'm rather frustrated at this point.
It gets to /sys/class/net/sit0/carrier and dumps forever!  Is there a loop in
the symbolic links?
Comment 13 G.Wolfe Woodbury 2005-11-03 03:19:49 EST
Trying to "cat /sys/class/net/sit0/carrier"  yeilds an "invalid argument" error!
Comment 14 Bill Nottingham 2005-11-03 12:05:14 EST
Hm, then just a tar of /sys/bus/pnp and /sys/devices/pnp* should suffice - is
that workable?
Comment 15 G.Wolfe Woodbury 2005-11-04 00:42:55 EST
tgz files of /sys/bus/pnp  and  /sys/devices/pnp*  are at:

http://wolves.homeip.net/~ggw/texts/sys-bus.tgz
http://wolves.homeip.net/~ggw/texts/sys-dev-pnp.tgz

created with

  tar czvvSf /tmp/<file> <tree>

files are world-readable. Dated 2005-11-04 00:37.
Comment 16 G.Wolfe Woodbury 2005-11-28 23:28:14 EST
FC5T1+rawhide of 2005-11-28 still doesn't see the 3c509 ISA Card on the work1
machine.  BIOS sees the card and handles it.  Should I disable BIOS PNP handling?
Workaraound is still to use system-config-network and hand enable the card.
Comment 17 G.Wolfe Woodbury 2006-01-03 16:44:47 EST
rawhide of 2006-01-02;  kernel sees ISA PNP card correctly, kudzu and anaconda
do NOT see or recognize the card as eth1.
Comment 18 G.Wolfe Woodbury 2006-09-15 23:13:58 EDT
Fc6t3: kernel sees and reports the ISA PNP card correctly.  I can use
system-config-network to configure the card; however, kudzu and anaconda don't
see the card during installations.

Might want to toss this in the release-notes that ISA-PNP cards have to be
configured via s-c-network and be done with it.

I note for the record that Knoppix doesn't see the card automatically either.
Comment 19 John Thacker 2006-10-29 16:59:55 EST
Changing version to correct one.  (test1 -> fc3test1, and some were filed as
test3 accidentally instead; but clearly must be fc3test1 given the date of filing.)
Comment 20 Christian Iseli 2007-01-22 05:40:29 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.